<?php
class ControllerextensionModuleprice extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/price');

		$this->document->setTitle(preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')));

		$this->load->model('extension/module');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('price', $this->request->post);
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title'));

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['text_qq_open_signup'] = $this->language->get('text_qq_open_signup');
		$data['text_yes'] = $this->language->get('text_yes');
		$data['text_no'] = $this->language->get('text_no');
		$data['text_mainc'] = $this->language->get('text_mainc');
		$data['text_mainfw'] = $this->language->get('text_mainfw');
		$data['text_cwkj_wxts'] = $this->language->get('text_cwkj_wxts');
		
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_sectionid'] = $this->language->get('entry_sectionid');
        $data['entry_sectiontab'] = $this->language->get('entry_sectiontab');	
		$data['entry_titlename'] = $this->language->get('entry_titlename');
		$data['entry_segmentingline'] = $this->language->get('entry_segmentingline');
		$data['entry_linew'] = $this->language->get('entry_linew');
		$data['entry_lineh'] = $this->language->get('entry_lineh');
        $data['entry_linec'] = $this->language->get('entry_linec');	
        $data['entry_describe'] = $this->language->get('entry_describe');		
		$data['entry_button1'] = $this->language->get('entry_button1');
		$data['entry_button2'] = $this->language->get('entry_button2');
		$data['entry_buttonname1'] = $this->language->get('entry_buttonname1');
		$data['entry_buttonname2'] = $this->language->get('entry_buttonname2');
		$data['entry_qq1'] = $this->language->get('entry_qq1');
		$data['entry_qq2'] = $this->language->get('entry_qq2');
		$data['entry_alww1'] = $this->language->get('entry_alww1');
		$data['entry_alww2'] = $this->language->get('entry_alww2');
		$data['entry_link1'] = $this->language->get('entry_link1');
		$data['entry_link2'] = $this->language->get('entry_link2');
		$data['entry_buttoncolor1'] = $this->language->get('entry_buttoncolor1');
		$data['entry_buttoncolor2'] = $this->language->get('entry_buttoncolor2');
		$data['entry_main'] = $this->language->get('entry_main');
		$data['entry_autoplay'] = $this->language->get('entry_autoplay');
		$data['entry_fade'] = $this->language->get('entry_fade');
		$data['entry_speed'] = $this->language->get('entry_speed');
        $data['entry_columns'] = $this->language->get('entry_columns');
        $data['entry_column'] = $this->language->get('entry_column');
		$data['help_column'] = $this->language->get('help_column');		
		$data['entry_rows'] = $this->language->get('entry_rows');
		$data['entry_scroll'] = $this->language->get('entry_scroll');	
		$data['entry_section'] = $this->language->get('entry_section');
		$data['entry_sectionbj'] = $this->language->get('entry_sectionbj');
		$data['entry_sectionjbbj'] = $this->language->get('entry_sectionjbbj');
		$data['entry_sectiontitle'] = $this->language->get('entry_sectiontitle');
		$data['entry_sectiondescribe'] = $this->language->get('entry_sectiondescribe');
		$data['entry_sectionptop'] = $this->language->get('entry_sectionptop');
        $data['entry_sectionpbuttom'] = $this->language->get('entry_sectionpbuttom');
		$data['entry_box'] = $this->language->get('entry_box');
		$data['entry_boxbg'] = $this->language->get('entry_boxbg');
		$data['entry_boxjbbj'] = $this->language->get('entry_boxjbbj');
		$data['entry_boxtitle'] = $this->language->get('entry_boxtitle');
		$data['entry_boxdescribe'] = $this->language->get('entry_boxdescribe');
		$data['entry_boxprice'] = $this->language->get('entry_boxprice');
		$data['entry_boxpriceyj'] = $this->language->get('entry_boxpriceyj');
		$data['entry_boxterm'] = $this->language->get('entry_boxterm');
		$data['entry_borderstyle'] = $this->language->get('entry_borderstyle');
		$data['entry_boxbs'] = $this->language->get('entry_boxbs');
		$data['entry_boxline'] = $this->language->get('entry_boxline');
		$data['entry_boxlinewidth'] = $this->language->get('entry_boxlinewidth');
        $data['entry_boxmagin'] = $this->language->get('entry_boxmagin');
		$data['entry_boxpadding'] = $this->language->get('entry_boxpadding');
		$data['entry_boxborder'] = $this->language->get('entry_boxborder');
		$data['entry_boxcolor'] = $this->language->get('entry_boxcolor');
		$data['entry_boxround'] = $this->language->get('entry_boxround');
		$data['entry_boxposition'] = $this->language->get('entry_boxposition');
		$data['entry_boxshadow'] = $this->language->get('entry_boxshadow');
		$data['entry_boxshadowhover'] = $this->language->get('entry_boxshadowhover');
		$data['entry_boxbjhover'] = $this->language->get('entry_boxbjhover');
		$data['entry_boxcolorhover'] = $this->language->get('entry_boxcolorhover');
		$data['entry_buttonstyle'] = $this->language->get('entry_buttonstyle');
		$data['entry_buttonsize'] = $this->language->get('entry_buttonsize');
		$data['entry_buttoninset'] = $this->language->get('entry_buttoninset');
		$data['entry_buttonborder'] = $this->language->get('entry_buttonborder');
		$data['entry_buttonround'] = $this->language->get('entry_buttonround');
		$data['entry_buttonhover'] = $this->language->get('entry_buttonhover');
		$data['entry_mouseafter'] = $this->language->get('entry_mouseafter');
		$data['entry_buttond'] = $this->language->get('entry_buttond');	
		$data['entry_title'] = $this->language->get('entry_title');
		$data['entry_titlems'] = $this->language->get('entry_titlems');
		$data['entry_price'] = $this->language->get('entry_price');
		$data['entry_price1'] = $this->language->get('entry_price1');
		$data['entry_text'] = $this->language->get('entry_text');
		$data['entry_text1'] = $this->language->get('entry_text1');
		$data['entry_text2'] = $this->language->get('entry_text2');
		$data['entry_text3'] = $this->language->get('entry_text3');
		$data['entry_text4'] = $this->language->get('entry_text4');
		$data['entry_text5'] = $this->language->get('entry_text5');
		$data['entry_text6'] = $this->language->get('entry_text6');
		$data['entry_text7'] = $this->language->get('entry_text7');
		$data['entry_text8'] = $this->language->get('entry_text8');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_add'] = $this->language->get('button_add');
		$data['button_remove'] = $this->language->get('button_remove');

		$data['error_name'] = $this->language->get('error_name');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = '';
		}
		if (isset($this->error['describe'])) {
			$data['error_describe'] = $this->error['describe'];
		} else {
			$data['error_describe'] = '';
		}
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);
		if (isset($this->error['sectionid'])) {
			$data['error_sectionid'] = $this->error['sectionid'];
		} else {
			$data['error_sectionid'] = '';
		}
		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
			'href' => $this->url->link('extension/module/price', 'token=' . $this->session->data['token'], 'SSL')
		);

		if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('extension/module/price', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$data['action'] = $this->url->link('extension/module/price', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}

		$data['token'] = $this->session->data['token'];

		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$data['status'] = $module_info['status'];
		} else {
			$data['status'] = '';
		}
		if (isset($this->request->post['name'])) {
			$data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['name'] = $module_info['name'];
		} else {
			$data['name'] = '';
		}
		if (isset($this->request->post['sectionid'])) {
			$data['sectionid'] = $this->request->post['sectionid'];
		} elseif (!empty($module_info)) {
			$data['sectionid'] = $module_info['sectionid'];
		} else {
			$data['sectionid'] = '';
		}
		if (isset($this->request->post['sectiontab'])) {
			$data['sectiontab'] = $this->request->post['sectiontab'];
		} elseif (!empty($module_info)) {
			$data['sectiontab'] = $module_info['sectiontab'];
		} else {
			$data['sectiontab'] = '';
		}
		if (isset($this->request->post['titlename'])) {
			$data['titlename'] = $this->request->post['titlename'];
		} elseif (!empty($module_info)) {
			$data['titlename'] = $module_info['titlename'];
		} else {
			$data['titlename'] = '';
		}
		if (isset($this->request->post['linew'])) {
			$data['linew'] = $this->request->post['linew'];
		} elseif (!empty($module_info)) {
			$data['linew'] = $module_info['linew'];
		} else {
			$data['linew'] = '30';
		}	
		if (isset($this->request->post['lineh'])) {
			$data['lineh'] = $this->request->post['lineh'];
		} elseif (!empty($module_info)) {
			$data['lineh'] = $module_info['lineh'];
		} else {
			$data['lineh'] = '2';
		}
		if (isset($this->request->post['linec'])) {
			$data['linec'] = $this->request->post['linec'];
		} elseif (!empty($module_info)) {
			$data['linec'] = $module_info['linec'];
		} else {
			$data['linec'] = '#000000';
		}
		if (isset($this->request->post['describe'])) {
			$data['describe'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['describe'] = $module_info['describe'];
		} else {
			$data['describe'] = '';
		}
		if (isset($this->request->post['buttonname1'])) {
			$data['buttonname1'] = $this->request->post['buttonname1'];
		} elseif (!empty($module_info)) {
			$data['buttonname1'] = $module_info['buttonname1'];
		} else {
			$data['buttonname1'] = '';
		}
		if (isset($this->request->post['buttonname2'])) {
			$data['buttonname2'] = $this->request->post['buttonname2'];
		} elseif (!empty($module_info)) {
			$data['buttonname2'] = $module_info['buttonname2'];
		} else {
			$data['buttonname2'] = '';
		}
		if (isset($this->request->post['qq1'])) {
			$data['qq1'] = $this->request->post['qq1'];
		} elseif (!empty($module_info)) {
			$data['qq1'] = $module_info['qq1'];
		} else {
			$data['qq1'] = '';
		}
		if (isset($this->request->post['qq2'])) {
			$data['qq2'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['qq2'] = $module_info['qq2'];
		} else {
			$data['qq2'] = '';
		}
		if (isset($this->request->post['alww1'])) {
			$data['alww1'] = $this->request->post['alww1'];
		} elseif (!empty($module_info)) {
			$data['alww1'] = $module_info['alww1'];
		} else {
			$data['alww1'] = '';
		}
		if (isset($this->request->post['alww2'])) {
			$data['alww2'] = $this->request->post['alww2'];
		} elseif (!empty($module_info)) {
			$data['alww2'] = $module_info['alww2'];
		} else {
			$data['alww2'] = '';
		}
		if (isset($this->request->post['link1'])) {
			$data['link1'] = $this->request->post['link1'];
		} elseif (!empty($module_info)) {
			$data['link1'] = $module_info['link1'];
		} else {
			$data['link1'] = '';
		}
		if (isset($this->request->post['link2'])) {
			$data['link2'] = $this->request->post['link2'];
		} elseif (!empty($module_info)) {
			$data['link2'] = $module_info['link2'];
		} else {
			$data['link2'] = '';
		}
		if (isset($this->request->post['buttoncolor1'])) {
			$data['buttoncolor1'] = $this->request->post['buttoncolor1'];
		} elseif (!empty($module_info)) {
			$data['buttoncolor1'] = $module_info['buttoncolor1'];
		} else {
			$data['buttoncolor1'] = 'white';
		}
		if (isset($this->request->post['buttoncolor2'])) {
			$data['buttoncolor2'] = $this->request->post['buttoncolor2'];
		} elseif (!empty($module_info)) {
			$data['buttoncolor2'] = $module_info['buttoncolor2'];
		} else {
			$data['buttoncolor2'] = 'white';
		}
		if (isset($this->request->post['main'])) {
			$data['main'] = $this->request->post['main'];
		} elseif (!empty($module_info)) {
			$data['main'] = $module_info['main'];
		} else {
			$data['main'] = '';
		}
		if (isset($this->request->post['autoplay'])) {
			$data['autoplay'] = $this->request->post['autoplay'];
		} elseif (!empty($module_info)) {
			$data['autoplay'] = $module_info['autoplay'];
		} else {
			$data['autoplay'] = '';
		}
		if (isset($this->request->post['fade'])) {
			$data['fade'] = $this->request->post['fade'];
		} elseif (!empty($module_info)) {
			$data['fade'] = $module_info['fade'];
		} else {
			$data['fade'] = '';
		}
		if (isset($this->request->post['speed'])) {
			$data['speed'] = $this->request->post['speed'];
		} elseif (!empty($module_info)) {
			$data['speed'] = $module_info['speed'];
		} else {
			$data['speed'] = '3000';
		}
		if (isset($this->request->post['column'])) {
			$data['column'] = $this->request->post['column'];
		} elseif (!empty($module_info)) {
			$data['column'] = $module_info['column'];
		} else {
			$data['column'] = '3';
		}
		if (isset($this->request->post['rows'])) {
			$data['rows'] = $this->request->post['rows'];
		} elseif (!empty($module_info)) {
			$data['rows'] = $module_info['rows'];
		} else {
			$data['rows'] = '2';
		}
		if (isset($this->request->post['scroll'])) {
			$data['scroll'] = $this->request->post['scroll'];
		} elseif (!empty($module_info)) {
			$data['scroll'] = $module_info['scroll'];
		} else {
			$data['scroll'] = '1';
		}				
		if (isset($this->request->post['sectionbj'])) {
			$data['sectionbj'] = $this->request->post['sectionbj'];
		} elseif (!empty($module_info)) {
			$data['sectionbj'] = $module_info['sectionbj'];
		} else {
			$data['sectionbj'] = '';
		}
		if (isset($this->request->post['sectionjbbj'])) {
			$data['sectionjbbj'] = $this->request->post['sectionjbbj'];
		} elseif (!empty($module_info)) {
			$data['sectionjbbj'] = $module_info['sectionjbbj'];
		} else {
			$data['sectionjbbj'] = '';
		}
		if (isset($this->request->post['sectiontitle'])) {
			$data['sectiontitle'] = $this->request->post['sectiontitle'];
		} elseif (!empty($module_info)) {
			$data['sectiontitle'] = $module_info['sectiontitle'];
		} else {
			$data['sectiontitle'] = '';
		}		
		if (isset($this->request->post['sectiondescribe'])) {
			$data['sectiondescribe'] = $this->request->post['sectiondescribe'];
		} elseif (!empty($module_info)) {
			$data['sectiondescribe'] = $module_info['sectiondescribe'];
		} else {
			$data['sectiondescribe'] = '';
		}
		if (isset($this->request->post['sectionptop'])) {
			$data['sectionptop'] = $this->request->post['sectionptop'];
		} elseif (!empty($module_info)) {
			$data['sectionptop'] = $module_info['sectionptop'];
		} else {
			$data['sectionptop'] = '70';
		}
		if (isset($this->request->post['sectionpbuttom'])) {
			$data['sectionpbuttom'] = $this->request->post['sectionpbuttom'];
		} elseif (!empty($module_info)) {
			$data['sectionpbuttom'] = $module_info['sectionpbuttom'];
		} else {
			$data['sectionpbuttom'] = '70';
		}
		if (isset($this->request->post['boxbg'])) {
			$data['boxbg'] = $this->request->post['boxbg'];
		} elseif (!empty($module_info)) {
			$data['boxbg'] = $module_info['boxbg'];
		} else {
			$data['boxbg'] = '';
		}
		if (isset($this->request->post['boxjbbj'])) {
			$data['boxjbbj'] = $this->request->post['boxjbbj'];
		} elseif (!empty($module_info)) {
			$data['boxjbbj'] = $module_info['boxjbbj'];
		} else {
			$data['boxjbbj'] = '';
		}
		if (isset($this->request->post['boxtitle'])) {
			$data['boxtitle'] = $this->request->post['boxtitle'];
		} elseif (!empty($module_info)) {
			$data['boxtitle'] = $module_info['boxtitle'];
		} else {
			$data['boxtitle'] = '';
		}
		if (isset($this->request->post['boxdescribe'])) {
			$data['boxdescribe'] = $this->request->post['boxdescribe'];
		} elseif (!empty($module_info)) {
			$data['boxdescribe'] = $module_info['boxdescribe'];
		} else {
			$data['boxdescribe'] = '';
		}
		if (isset($this->request->post['boxprice'])) {
			$data['boxprice'] = $this->request->post['boxprice'];
		} elseif (!empty($module_info)) {
			$data['boxprice'] = $module_info['boxprice'];
		} else {
			$data['boxprice'] = '';
		}
		if (isset($this->request->post['boxpriceyj'])) {
			$data['boxpriceyj'] = $this->request->post['boxpriceyj'];
		} elseif (!empty($module_info)) {
			$data['boxpriceyj'] = $module_info['boxpriceyj'];
		} else {
			$data['boxpriceyj'] = '';
		}
		if (isset($this->request->post['boxterm'])) {
			$data['boxterm'] = $this->request->post['boxterm'];
		} elseif (!empty($module_info)) {
			$data['boxterm'] = $module_info['boxterm'];
		} else {
			$data['boxterm'] = '';
		}		
		if (isset($this->request->post['boxmagin'])) {
			$data['boxmagin'] = $this->request->post['boxmagin'];
		} elseif (!empty($module_info)) {
			$data['boxmagin'] = $module_info['boxmagin'];
		} else {
			$data['boxmagin'] = '10';
		}
		if (isset($this->request->post['boxpadding'])) {
			$data['boxpadding'] = $this->request->post['boxpadding'];
		} elseif (!empty($module_info)) {
			$data['boxpadding'] = $module_info['boxpadding'];
		} else {
			$data['boxpadding'] = '10';
		}		
		if (isset($this->request->post['boxborder'])) {
			$data['boxborder'] = $this->request->post['boxborder'];
		} elseif (!empty($module_info)) {
			$data['boxborder'] = $module_info['boxborder'];
		} else {
			$data['boxborder'] = '0';
		}	
		if (isset($this->request->post['boxcolor'])) {
			$data['boxcolor'] = $this->request->post['boxcolor'];
		} elseif (!empty($module_info)) {
			$data['boxcolor'] = $module_info['boxcolor'];
		} else {
			$data['boxcolor'] = '';
		}		
		if (isset($this->request->post['boxround'])) {
			$data['boxround'] = $this->request->post['boxround'];
		} elseif (!empty($module_info)) {
			$data['boxround'] = $module_info['boxround'];
		} else {
			$data['boxround'] = '5';
		}
		if (isset($this->request->post['boxposition'])) {
			$data['boxposition'] = $this->request->post['boxposition'];
		} elseif (!empty($module_info)) {
			$data['boxposition'] = $module_info['boxposition'];
		} else {
			$data['boxposition'] = 'center';
		}
		if (isset($this->request->post['boxshadow'])) {
			$data['boxshadow'] = $this->request->post['boxshadow'];
		} elseif (!empty($module_info)) {
			$data['boxshadow'] = $module_info['boxshadow'];
		} else {
			$data['boxshadow'] = '11';
		}
		if (isset($this->request->post['boxshadowhover'])) {
			$data['boxshadowhover'] = $this->request->post['boxshadowhover'];
		} elseif (!empty($module_info)) {
			$data['boxshadowhover'] = $module_info['boxshadowhover'];
		} else {
			$data['boxshadowhover'] = '21';
		}
		if (isset($this->request->post['boxbjhover'])) {
			$data['boxbjhover'] = $this->request->post['boxbjhover'];
		} elseif (!empty($module_info)) {
			$data['boxbjhover'] = $module_info['boxbjhover'];
		} else {
			$data['boxbjhover'] = '';
		}
		if (isset($this->request->post['boxcolorhover'])) {
			$data['boxcolorhover'] = $this->request->post['boxcolorhover'];
		} elseif (!empty($module_info)) {
			$data['boxcolorhover'] = $module_info['boxcolorhover'];
		} else {
			$data['boxcolorhover'] = '';
		}
		if (isset($this->request->post['buttonsize'])) {
			$data['buttonsize'] = $this->request->post['buttonsize'];
		} elseif (!empty($module_info)) {
			$data['buttonsize'] = $module_info['buttonsize'];
		} else {
			$data['buttonsize'] = 'md';
		}		
		if (isset($this->request->post['buttoninset'])) {
			$data['buttoninset'] = $this->request->post['buttoninset'];
		} elseif (!empty($module_info)) {
			$data['buttoninset'] = $module_info['buttoninset'];
		} else {
			$data['buttoninset'] = 'inset';
		}	
		if (isset($this->request->post['buttonborder'])) {
			$data['buttonborder'] = $this->request->post['buttonborder'];
		} elseif (!empty($module_info)) {
			$data['buttonborder'] = $module_info['buttonborder'];
		} else {
			$data['buttonborder'] = '1';
		}		
		if (isset($this->request->post['buttonround'])) {
			$data['buttonround'] = $this->request->post['buttonround'];
		} elseif (!empty($module_info)) {
			$data['buttonround'] = $module_info['buttonround'];
		} else {
			$data['buttonround'] = '50';
		}
		if (isset($this->request->post['buttonhover'])) {
			$data['buttonhover'] = $this->request->post['buttonhover'];
		} elseif (!empty($module_info)) {
			$data['buttonhover'] = $module_info['buttonhover'];
		} else {
			$data['buttonhover'] = '1';
		}
		if (isset($this->request->post['boxlinewidth'])) {
			$data['boxlinewidth'] = $this->request->post['boxlinewidth'];
		} elseif (!empty($module_info)) {
			$data['boxlinewidth'] = $module_info['boxlinewidth'];
		} else {
			$data['boxlinewidth'] = '0';
		}
		if (isset($this->request->post['boxbs'])) {
			$data['boxbs'] = $this->request->post['boxbs'];
		} elseif (!empty($module_info)) {
			$data['boxbs'] = $module_info['boxbs'];
		} else {
			$data['boxbs'] = 'solid';
		}
		if (isset($this->request->post['boxline'])) {
			$data['boxline'] = $this->request->post['boxline'];
		} elseif (!empty($module_info)) {
			$data['boxline'] = $module_info['boxline'];
		} else {
			$data['boxline'] = '';
		}
		if (isset($this->request->post['buttond'])) {
			$data['buttond'] = $this->request->post['buttond'];
		} elseif (!empty($module_info)) {
			$data['buttond'] = $module_info['buttond'];
		} else {
			$data['buttond'] = '3';
		}
		if (isset($this->request->post['mouseafter'])) {
			$data['mouseafter'] = $this->request->post['mouseafter'];
		} elseif (!empty($module_info)) {
			$data['mouseafter'] = $module_info['mouseafter'];
		} else {
			$data['mouseafter'] = '';
		}		
		$this->load->model('tool/image');

		if (isset($this->request->post['image'])) {
			$data['image'] = $this->request->post['image'];
		} elseif (isset($module_info['image'])) {
			$data['image'] = $module_info['image'];
		} else {
			$data['image'] = '';
		}

		if (is_file(DIR_IMAGE . $data['image'])) {
			$thumb = $data['image'];
		} else {
			$thumb = 'no_image.png';
		}

		$data['thumb'] = $this->model_tool_image->resize($thumb, 100, 100);

		$this->load->model('localisation/language');

		$data['languages'] = $this->model_localisation_language->getLanguages();

		$this->load->model('tool/image');

		if (isset($this->request->post['service'])) {
			$services = $this->request->post['service'];
		} elseif (isset($module_info['service'])) {
			$services = $module_info['service'];
		} else {
			$services = array();
		}

		$data['services'] = array();

		foreach ($services as $service) {


			$data['services'][] = array(
				'title'       => $service['title'],
				'titlems'        => $service['titlems'],
				'price'        => $service['price'],
				'price1'        => $service['price1'],
				'text1'        => $service['text1'],
				'text2'        => $service['text2'],
				'text3'        => $service['text3'],
				'text4'        => $service['text4'],
				'text5'        => $service['text5'],
				'text6'        => $service['text6'],
				'text7'        => $service['text7'],
				'text8'        => $service['text8'],
				'sort_order'  => $service['sort_order']
			);
		}

		$data['placeholder'] = $this->model_tool_image->resize('no_image.png', 100, 100);

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/price.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/price')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if ((utf8_strlen($this->request->post['sectionid']) < 1) || (utf8_strlen($this->request->post['sectionid']) > 64)) {
			$this->error['sectionid'] = $this->language->get('error_name');
		}	
		if ((utf8_strlen($this->request->post['name']) < 2) || (utf8_strlen($this->request->post['name']) > 64)) {
			$this->error['name'] = $this->language->get('error_name');
		}

		return !$this->error;
	}
}